OGRE: Ogre::ZipArchiveFactory Class Reference - OGRE Documentation

# Ogre::ZipArchiveFactory Class Reference

Specialisation of ArchiveFactory for Zip files. More...

`#include <OgreZip.h>`

Inheritance diagram for Ogre::ZipArchiveFactory:

[legend]

List of all members.

## Public Member Functions
virtual | ~ZipArchiveFactory ()
const String & | getType (void) const
| Returns the factory type. Returns: The factory type.
Archive * | createInstance (const String &name)
  | Creates a new object. Parameters:
  | name | Name of the object to create
Returns: An object created by the factory. The type of the object depends on the factory.
void | destroyInstance (Archive *arch)
  | Destroys an object which was created by this factory. Parameters:
  | ptr | Pointer to the object to destroy
virtual void | destroyInstance (T *)=0
| Destroys an object which was created by this factory.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Detailed Description

Specialisation of ArchiveFactory for Zip files.

Definition at line 94 of file OgreZip.h.

## Constructor & Destructor Documentation

virtual Ogre::ZipArchiveFactory::~ZipArchiveFactory | ( |  | ) | `[virtual]`

Definition at line 97 of file OgreZip.h.

## Member Function Documentation

const String& Ogre::ZipArchiveFactory::getType | ( | void |  | ) | const`[virtual]`

Returns the factory type.

Returns:
  The factory type.

Implements Ogre::FactoryObj< T >.

Archive* Ogre::ZipArchiveFactory::createInstance | ( | const String & | name | ) | `[virtual]`

Creates a new object.

Parameters:

  | name | Name of the object to create

Returns:
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::FactoryObj< T >.

Definition at line 101 of file OgreZip.h.

References OGRE_NEW.

void Ogre::ZipArchiveFactory::destroyInstance | ( | Archive * | arch | ) |

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

Definition at line 106 of file OgreZip.h.

References OGRE_DELETE.

template<typename T>

virtual void Ogre::FactoryObj< T >::destroyInstance | ( | T * |  | ) | `[pure virtual, inherited]`

Destroys an object which was created by this factory.

Parameters:

  | ptr | Pointer to the object to destroy

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

The documentation for this class was generated from the following file:

- OgreZip.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:38:28 2009